Subject: Memory leaks in test suite make check after building with build-asan

From: deltatau <[email-masked]>
Date: Mon, 10 Sep 2018 07:31:14 +0000

Hi everyone

I think I may have found 3 memory leak bugs in sed.

When I built in the following way.
git clone git://git.sv.gnu.org/sed sed-build-asan
cd sed-build-asan
./bootstrap
./configure
make build-asan
make check

Make check told me that gnulib-tests/test-suite.log would contain details.
You can find this file attached as test-suite.log.

The version of sed which I am using, according to make check, is GNU sed 4.5.31-261c7-dirty.

My system is an up-to-date arch linux
uname -a
Linux archlinux 4.18.5-arch1-1-ARCH #1 SMP PREEMPT Fri Aug 24 12:48:58 UTC 2018 x86_64 GNU/Linux

Please forgive me if there is anything incomplete or wrong about this report. This is my first time submitting a bug. I am happy to help out by running some patches or something but I am no more than a novice to C programming.

- deltatau